Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1065718 - [RFE] enable to the use to choose temporary dir location
Summary: [RFE] enable to the use to choose temporary dir location
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-image-uploader
Version: 3.4.0
Hardware: Unspecified
OS: Unspecified
medium
low
Target Milestone: ---
: 3.4.0
Assignee: Sandro Bonazzola
QA Contact: Pavel Stehlik
URL:
Whiteboard: integration
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-02-16 09:20 UTC by Ohad Basan
Modified: 2014-03-03 08:16 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-03-03 08:16:06 UTC
oVirt Team: ---


Attachments (Terms of Use)

Description Ohad Basan 2014-02-16 09:20:07 UTC
Description of problem:

image-uploader extracts the image to a temporary dir which is usually /tmp
since this directory is traditionally small and the image files are big
it does not always fit.
I suggest adding a flag to enable the user to the set this directory

Comment 1 Itamar Heim 2014-02-17 03:25:56 UTC
it is available via the environment variable iiuc

Comment 4 Sandro Bonazzola 2014-03-03 08:16:06 UTC
Ohad, you can set temp dir using

 TMPDIR=/path/to/your/directory rhevm-image-uploader ...

I think that it's enough. Please reopen if a new flag for setting the temp dir is really needed


Note You need to log in before you can comment on or make changes to this bug.